Bug 1726763 - Changes/Xfce-4.14
Summary: Changes/Xfce-4.14
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact:
URL:
Whiteboard:
: 1726764 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-03 16:53 UTC by Ben Cotton
Modified: 2019-08-28 12:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-28 12:38:31 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2019-07-03 16:53:34 UTC
This is a tracking bug for Change: Changes/Xfce-4.14
For more details, see: https://fedoraproject.org/wiki/Changes/xfce-4.14

Xfce desktop environment has version 4.13.x which is currently available in Fedora. Significant work has been completed to migrate the DE to GTK-3 completely.  The obvious benefit to this migration is the use of a modern and actively maintained toolkit.

Comment 1 Ben Cotton 2019-07-03 17:06:08 UTC
*** Bug 1726764 has been marked as a duplicate of this bug. ***

Comment 2 Gerd Pokorra 2019-07-30 06:23:05 UTC
The last pre release (pre3) of Xfce 4.14 is in rawhide. Xfce 4.14 Final Release day is: 2019-08-11

Comment 3 Steven Schlansker 2019-08-12 17:44:27 UTC
Happy Release Day! ;)  Looking forward to testing this much-appreciated upgrade out.

Comment 4 Gerd Pokorra 2019-08-13 08:59:37 UTC
The packages for Xfce 4.14 are now in F31. Happy testing!

Comment 5 Ben Cotton 2019-08-13 16:53:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 6 Ben Cotton 2019-08-13 17:03:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 7 Ben Cotton 2019-08-14 17:56:05 UTC
We have reached the 'Code Complete (testable)' milestone in the Fedora 31 release cycle. If your Change is in a testable state, please set the status to MODIFIED. If this Change will not be ready for Fedora 31, please set the version to rawhide.

The 100% code complete deadline is Tue 2019-08-27.

Comment 8 Gerd Pokorra 2019-08-21 10:22:09 UTC
Xfce-4.14 could currently tested also on Fedora 30. The update will stay in the updates testing repository for at least one week.

https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee

To install the update enter:

dnf update --enablerepo=updates-testing Thunar-1.8.9-1.fc30 exo-0.12.8-1.fc30 garcon-0.6.4-3.fc30 gigolo-0.5.0-2.fc30 libxfce4ui-4.14.1-1.fc30 libxfce4util-4.14.0-1.fc30 parole-1.0.4-1.fc30 ristretto-0.10.0-2.fc30 thunar-volman-0.9.5-1.fc30 tumbler-0.2.7-1.fc30 xfce4-appfinder-4.14.0-1.fc30 xfce4-battery-plugin-1.1.3-1.fc30 xfce4-datetime-plugin-0.8.0-1.fc30 xfce4-diskperf-plugin-2.6.2-1.fc30 xfce4-fsguard-plugin-1.1.1-1.fc30 xfce4-genmon-plugin-4.0.2-1.fc30 xfce4-mpc-plugin-0.5.2-1.fc30 xfce4-netload-plugin-1.3.2-1.fc30 xfce4-panel-4.14.0-1.fc30 xfce4-places-plugin-1.8.1-1.fc30 xfce4-power-manager-1.6.5-1.fc30 xfce4-pulseaudio-plugin-0.4.2-1.fc30 xfce4-screensaver-0.1.8-2.fc30 xfce4-session-4.14.0-1.fc30 xfce4-settings-4.14.0-1.fc30 xfce4-smartbookmark-plugin-0.5.1-1.fc30 xfce4-systemload-plugin-1.2.3-1.fc30 xfce4-time-out-plugin-1.0.3-1.fc30 xfce4-wavelan-plugin-0.6.1-1.fc30 xfce4-weather-plugin-0.10.0-1.fc30 xfconf-4.14.1-1.fc30 xfdashboard-0.7.5-4.fc30 xfdesktop-4.14.1-1.fc30 xfwm4-4.10.0-1.fc30

Comment 9 Gerd Pokorra 2019-08-23 11:34:57 UTC
(In reply to Gerd Pokorra from comment #8)
> Xfce-4.14 could currently tested also on Fedora 30. The update will stay in
> the updates testing repository for at least one week.
> 
> https://bodhi.fedoraproject.org/updates/FEDORA-2019-8b21f399ee
> 

The Fedora 30 update is pushed to stable.

Comment 10 Ben Cotton 2019-08-27 17:17:49 UTC
We have reached the '100% Code Complete' milestone in the Fedora 31 release cycle. If your Change is complete, please set the status to ON_QA. The Beta Freeze is underway. If you need a freeze exception, see https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process

If this Change will not be ready for Fedora 31, please set the version to rawhide.


Note You need to log in before you can comment on or make changes to this bug.